complexType "EquityBermudaExercise"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 10 elements
Defined: | globally in fpml-eqd-5-3.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | commencementDate?, expirationDate?, (latestExerciseTime? | latestExerciseTimeDetermination?)?, bermudaExerciseDates?, latestExerciseTimeType?, ((equityExpirationTimeType?, equityExpirationTime?) | expirationTimeDetermination?), equityMultipleExercise?
</...>

Content Model Elements (10):

  bermudaExerciseDates (in equityBermudaExercise),
  commencementDate (defined in SharedAmericanExercise complexType),
  equityExpirationTime,
  equityExpirationTimeType,
  equityMultipleExercise (in equityBermudaExercise),
  expirationDate (defined in SharedAmericanExercise complexType),
  expirationTimeDetermination,
  latestExerciseTime (defined in SharedAmericanExercise complexType),
  latestExerciseTimeDetermination (defined in SharedAmericanExercise complexType),
  latestExerciseTimeType (in equityBermudaExercise)

All Direct / Indirect Based Elements (1):

  equityBermudaExercise

Known Usage Locations

- As direct type of elements (1):
  equityBermudaExercise

Annotation
A type for defining exercise procedures associated with a Bermuda style exercise of an equity option. The term Bermuda is adopted in FpML for consistency with the ISDA Definitions.
Type Definition Detail

Type Derivation Tree Exercise (extension) SharedAmericanExercise (extension) EquityBermudaExercise

XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="EquityBermudaExercise"> <xsd:complexContent> <xsd:extension base="SharedAmericanExercise"> <xsd:sequence> <xsd:element minOccurs="0" name="bermudaExerciseDates" type="DateList"/> <xsd:element minOccurs="0" name="latestExerciseTimeType" type="TimeTypeEnum"/> <xsd:group ref="EquityExpiration.model"/> <xsd:element minOccurs="0" name="equityMultipleExercise" type="EquityMultipleExercise"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/10)
bermudaExerciseDates

  Type: | DateList, complex content

  List of Exercise Dates for a Bermuda option.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="bermudaExerciseDates" type="DateList"/>

equityMultipleExercise

  Type: | EquityMultipleExercise, complex content

  The presence of this element indicates that the option may be exercised on different days. It is not applicable to European options.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="equityMultipleExercise" type="EquityMultipleExercise"/>

latestExerciseTimeType

  Type: | TimeTypeEnum, simple content

  The latest time of day at which the equity option can be exercised, for example the official closing time of the exchange.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "Close" | - | The official closing time of the exchange on the valuation date. See: http://www.FpML.org
  "Open" | - | The official opening time of the exchange on the valuation date. See: http://www.FpML.org
  "OSP" | - | The time at which the official settlement price is determined. See: http://www.FpML.org
  "SpecificTime" | - | The time specified in the element equityExpirationTime or valuationTime (as appropriate) See: http://www.FpML.org
  "XETRA" | - | The time at which the official settlement price (following the auction by the exchange) is determined by the exchange. See: http://www.FpML.org
  "DerivativesClose" | - | The official closing time of the derivatives exchange on which a derivative contract is listed on that security underlyer. See: http://www.FpML.org
  "AsSpecifiedInMasterConfirmation" | - | The time is determined as provided in the relevant Master Confirmation. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="latestExerciseTimeType" type="TimeTypeEnum"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.